2016-09-01 11:57:40 +00:00
|
|
|
From 72e51c9d9eed05a8a012b944494306eddd92eae4 Mon Sep 17 00:00:00 2001
|
2016-02-15 15:16:25 +00:00
|
|
|
From: Fabian Vogt <fvogt@suse.com>
|
2016-09-01 11:57:40 +00:00
|
|
|
Date: Tue, 23 Aug 2016 12:56:21 +0200
|
|
|
|
Subject: [PATCH] Fix warning about multipath if not needed
|
2016-02-15 15:16:25 +00:00
|
|
|
|
|
|
|
Although no device uses multipath, the module checks
|
|
|
|
for presence of the multipath binary first, printing a
|
|
|
|
warning if not present. This patch fixes the wrong ordering.
|
|
|
|
---
|
2016-09-01 11:57:40 +00:00
|
|
|
modules.d/90multipath/module-setup.sh | 5 +++--
|
2016-02-15 15:16:25 +00:00
|
|
|
1 file changed, 3 insertions(+), 2 deletions(-)
|
|
|
|
|
2016-09-01 11:57:40 +00:00
|
|
|
diff --git a/modules.d/90multipath/module-setup.sh b/modules.d/90multipath/module-setup.sh
|
|
|
|
index c2c85c4..d4bd6e1 100755
|
|
|
|
--- a/modules.d/90multipath/module-setup.sh
|
|
|
|
+++ b/modules.d/90multipath/module-setup.sh
|
2016-06-07 13:51:45 +00:00
|
|
|
@@ -3,8 +3,6 @@
|
2016-02-15 15:16:25 +00:00
|
|
|
# called by dracut
|
|
|
|
check() {
|
|
|
|
local _rootdev
|
|
|
|
- # if there's no multipath binary, no go.
|
|
|
|
- require_binaries multipath || return 1
|
|
|
|
|
2016-06-07 13:51:45 +00:00
|
|
|
is_mpath() {
|
|
|
|
local _dev=$1
|
|
|
|
@@ -17,6 +15,9 @@ check() {
|
2016-02-15 15:16:25 +00:00
|
|
|
for_each_host_dev_and_slaves is_mpath || return 255
|
|
|
|
}
|
|
|
|
|
|
|
|
+ # if there's no multipath binary, no go.
|
|
|
|
+ require_binaries multipath || return 1
|
|
|
|
+
|
|
|
|
return 0
|
|
|
|
}
|
|
|
|
|
2016-09-01 11:57:40 +00:00
|
|
|
--
|
|
|
|
2.6.6
|
|
|
|
|